Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing
Class JMenuBar

Method Summary
`JMenu` | `getAt(int index)` Support the subscript operator for JMenuBar.
`Iterator` | `iterator()` Returns an Iterator which traverses the JMenuBar one menu at a time.
`JMenuBar` | `leftShift(JMenu menu)` Overloads the left shift operator to provide an easy way to add menus to a menuBar.
`int` | `size()` Provide the standard Groovy `size()` method for `JMenuBar`.

Method Detail

### getAt

    public JMenu getAt(int index)

  Support the subscript operator for JMenuBar.

Parameters:
  `index` - the index of the menu to get.

Returns:
  the menu at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the JMenuBar one menu at a time.

Returns:
  an Iterator for a JMenuBar

Since:
  1.6.4

### leftShift

    public JMenuBar leftShift(JMenu menu)

  Overloads the left shift operator to provide an easy way to add menus to a menuBar.

Parameters:
  `menu` - a menu to be added to the menuBar..

Returns:
  same menuBar, after the value was added to it.

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `JMenuBar`.

Returns:
  the menu count of the menuBar

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK